#include <string>
#include <vector>

namespace dropshell {

std::vector<std::string> get_server_services(const std::string& server_name);

class server_service {
    public:
        server_service();
        bool init(const std::string& server_name, const std::string& service_name);
        bool install();
        bool is_installed();
        
        bool run_command(const std::string& command);
};

} // namespace dropshell
